| Version: 3.2.5

Public Member Functions | List of all members
wxStdInputStream Class Reference
Class List by Category » Streams

`#include <wx/stdstream.h>`

Inheritance diagram for wxStdInputStream:
[legend]

## Detailed Description

wxStdInputStream is a std::istream derived stream which reads from a wxInputStream.

Example:

wxFFileInputStream file("words.txt");
wxStdInputStream in(file);
std::vector<std::string> words;
// read words from words.txt
std::copy(std::istream_iterator<std::string>(in),
std::istream_iterator<std::string>(),
std::back_inserter(words));
// sort and remove duplicates
std::sort(words.begin(), words.end());
words.resize(std::unique(words.begin(), words.end()) - words.begin());
// print words
std::copy(words.begin(), words.end(),
std::ostream_iterator<std::string>(std::cout, "\n"));
wxFFileInputStream
This class represents data read in from a file.
Definition: wfstream.h:284
wxStdInputStream
wxStdInputStream is a std::istream derived stream which reads from a wxInputStream.
Definition: stdstream.h:91

##

Library: wxBase
Category: Streams

See also
  wxInputStream, wxStdInputStreamBuffer

## Public Member Functions

| wxStdInputStream (wxInputStream &stream)
| Creates a std::istream derived stream which reads from a wxInputStream. More...
virtual | ~wxStdInputStream ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxStdInputStream()

wxStdInputStream::wxStdInputStream | ( | wxInputStream & | stream | ) |

Creates a std::istream derived stream which reads from a wxInputStream.

Parameters

  stream | Stream to read from.

## ◆ ~wxStdInputStream()

virtual wxStdInputStream::~wxStdInputStream | ( |  | ) |

virtual

Destructor.